function valor=get(obj,propiedad)
% GET da el valor de una propiedad de un escalón.
%
%   valor=GET(obj,propiedad)
%       >> obj       = Objeto escalón
%       >> propiedad = Propiedad del escalón
%
%   Propiedad =   'Nombre','Posición','EnergíaPotencialEntrada','EnergíaPotencialSalida', 
%                 'VectorOndaEntrada', 'VectorOndaSalida'
%
%       << valor    = Valor de la propiedad 
%
%   Olivier Pujol (2010)
%
if (isa(obj,'escalón')==0),error('¡Tipo de objeto incorrecto!');end

switch propiedad 
    case 'Nombre'
        valor=obj.nombre;
    case 'Posición'
        valor=obj.x;
    case 'EnergíaPotencialEntrada'
        valor=obj.Epe;
    case 'EnergíaPotencialSalida'
        valor=obj.Eps;
    case 'VectorOndaEntrada'
        valor=obj.ke;
    case 'VectorOndaSalida'
        valor=obj.ks;
    otherwise
        error([propiedad,' no es la propiedad de un escalón.']);
end
%
return;