function mat=translación(obj1,obj2)
% TRANSLACIÓN calcula la matriz de propagación desde un escalón a otro. 
%   Esta matriz caracteriza una zona (longitud L) de energía potencial uniforme.
%
%   mat=TRANSLATION(obj1,obj2)
%       >> obj1 = Objeto escalón 1
%       >> obj2 = Objeto escalón 2
%       << mat  = Matriz de propagación desde el escalón 1 hasta el escalón 2
%
%   Olivier Pujol (2006)
%
%% Verificaciones

if ( (isa(obj1,'escalón')==0) || (isa(obj2,'escalón')==0) ),error('¡Tipo de objeto incorrecto!');end
if ( (obj2.ke==0)||(obj1.ks==0) ),error('Caso singular k=0 !');end

%% Cálculo de la matriz

mat=eye(2);
L=obj2.x-obj1.x;
k0=obj1.ks;
mat(1,1)=exp(1i*k0*L);
mat(2,2)=exp(-1i*k0*L);
%
return;